! The locus of w=1/x with z moving on the line y=ax+b
OPTION ARITHMETIC COMPLEX
INPUT PROMPT "a,b=": a,b
LET s=8
SET WINDOW -s,s,-s,s
DRAW grid
SET POINT STYLE 1
FOR x=-s TO s STEP s/3200
   LET y=a*x+b
   SET POINT COLOR 3
   PLOT POINTS:x,y
   WHEN EXCEPTION IN
      LET w=1/COMPLEX(x,y)
      SET POINT COLOR 2
      PLOT POINTS: re(w),im(w)
   USE
   END WHEN
NEXT x  
END





